org.apache.lucene.index

## Class AssertingLeafReader.AssertingFields

- java.lang.Object
- - org.apache.lucene.index.Fields
  - - org.apache.lucene.index.FilterLeafReader.FilterFields
    - - org.apache.lucene.index.AssertingLeafReader.AssertingFields

All Implemented Interfaces:
  Iterable<String>

Enclosing class:
  AssertingLeafReader

    public static class AssertingLeafReader.AssertingFields
    extends FilterLeafReader.FilterFields

Wraps a Fields but with additional asserts

### Field Summary

### Fields inherited from class org.apache.lucene.index.FilterLeafReader.FilterFields

`in`

### Fields inherited from class org.apache.lucene.index.Fields

`EMPTY_ARRAY`

### Constructor Summary

Constructors
Constructor and Description
`AssertingFields(Fields in)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<String>` `iterator()`
`Terms` `terms(String field)`

### Methods inherited from class org.apache.lucene.index.FilterLeafReader.FilterFields

`size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### AssertingFields

    public AssertingFields(Fields in)

### Method Detail

#### iterator

    public Iterator<String> iterator()

Specified by:
  `iterator` in interface `Iterable<String>`
Overrides:
  `iterator` in class `FilterLeafReader.FilterFields`

#### terms

    public Terms terms(String field)
                throws IOException

Overrides:
  `terms` in class `FilterLeafReader.FilterFields`
Throws:
  `IOException`